Subject: Re: New idea for early cross-area review

From: Brian E Carpenter <[email-masked]>
Date: Thu, 12 May 2005 17:16:40 +0200

David,

Agreed that this should be part of every WG Chair's toolkit.

Rohan,

We've tried a couple of times to set up a list of designated
reviewers for early review, and failed. Harald did succeed in
setting up a designated team for late review, and it saves my
life every two weeks prior to the IESG telechat. But early
review is a harder problem. I see enough good ideas in this thread
that I will update the proposal and send a new version. This
may take a few more days.

    Brian

David B Harrington wrote:
> If you have enough reviewers to cover all WGs, and if the IESG
> supports assigning these reviewers/technical advisors as part of
> chartering a WG, then I would support such an approach.
> 
> For a concrete step in the meantime, I recommend that the chair's
> training presentation should advise chairs to seek cross-area review
> early (if it doesn't already).
> 
> David Harrington
> [email-masked] 
> 
> 
>>-----Original Message-----
>>From: [email-masked] 
>>[mailto:[email-masked]] On Behalf Of Rohan Mahy
>>Sent: Wednesday, May 11, 2005 11:23 AM
>>To: Brian E Carpenter
>>Cc: Joel M. Halpern; [email-masked]
>>Subject: Re: New idea for early cross-area review
>>
>>Hi,
>>
>>I've been monitoring this thread which does not appear to be 
>>converging.  I believe that cross-area review is important, but I am
> 
> 
>>extremely skeptical that early cross-area review as described in
> 
> this 
> 
>>thread will produce much value.  I'm also concerned that any new 
>>procedure that we institute that doesn't produce results will 
>>increase 
>>the general mistrust for new procedures in the future.
>>
>>In my experience, a WG will occasionally start driving toward a
> 
> known 
> 
>>pothole (or landmine) that the IETF already knows how to avoid in 
>>another context with the application of an appropriate 
>>cross-area clue. 
>>  I don't believe that most WGs end up needing this kind of clue on 
>>every (or even most) WG drafts.  Yet having folks unfamiliar with a 
>>specific WG try to determine out of context when the WG is going
> 
> into 
> 
>>weeds is a bit like asking an Hawaiian islander help an Inuit 
>>navigate 
>>through the Sahara desert.
>>
>>So, I am proposing a concrete suggestion.  Rather than try to have
> 
> an 
> 
>>outside group determine when a WG needs a clue by examining every WG
> 
> 
>>draft, each WG should have at least one experienced cross-area
> 
> person 
> 
>>that pays attention to that specific WG.  The purpose of this 
>>cross-area person per WG is only to raise the red flag that 
>>the WG may 
>>be wandering into the weeds on a new WG draft and that a particular 
>>type of cross-area review is warranted.  Once the red-flag is
> 
> raised, 
> 
>>we need volunteers with various types of clues (security, DNS, URIs,
> 
> 
>>congestion, MIB, IPv6, etc.) who can go help out the WG and 
>>especially 
>>the relevant authors early in the process.  Note, that some ADs and 
>>chairs *already* request cross area review in certain areas, and
> 
> that 
> 
>>certain pools of clue-full folks already have a process to assign a 
>>reviewer (ex: security reviewers, MIB doctors).
>>
>>I think the critical part of the proposal is that the act of raising
> 
> 
>>the red-flag is separate from the act of reviewing flagged 
>>drafts, and 
>>that each WG has a cross-area clue-full person (separate from the
> 
> AD) 
> 
>>who only needs to be looking out for potential problems in the big 
>>picture.
>>
>>Thoughts?
>>
>>thanks,
>>-rohan
>>
>>
>>
>>
>>On May 10, 2005, at 9:43, Brian E Carpenter wrote:
>>
>>
>>>Hi,
>>>
>>>The IESG is concerned to ensure that documents are reviewed for
>>>possible cross-area issues as early as possible, before they
>>>are in final IESG review. This is to avoid "late surprises"
>>>where serious cross-area problems are found after a WG has
>>>completed its work on a draft.
>>>
>>>We'd like your comments on a new idea on how to achieve this.  The
> 
> 
>>>thought
>>>is not to add any new process step or hurdle for the WGs.  
>>
>>It may add a
>>
>>>a bit of additional, but integral, work responding to any reviews
>>>that are sent.  In outline (with details to decided),
>>>
>>>- a new list, perhaps [email-masked], will be 
>>
>>created. Anybody
>>
>>>  can join it.
>>>
>>>- whenever a WG formally adopts a draft as a WG item (i.e. the
> 
> draft
> 
>>>  is added to the WG charter page), the secretariat will generate
> 
> a
> 
>>>  message to the adopt-announce list, saying something like
>>>
>>>    The FOOBAR WG has adopted draft-ietf-foobar-XXX-00.txt as a WG
> 
> 
>>>draft
>>>    and solicits cross-area comments from the community. Comments 
>>>should
>>>    follow the guidelines at <URL> and should be sent to 
>>>[email-masked].
>>>
>>>- if you think the general idea is good, we'll solicit your 
>>
>>inputs for
>>
>>>  the early review guidelines, on the foundations of the 
>>
>>work done by 
>>
>>>the
>>>  former ICAR WG.
>>>
>>>     Brian
>>>
>>>
>>>
>>>
>>>
>>>
>>
>>
>>
> 
>